import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T37V extends Component {

    name = '37V'
    desp = "Cap Rate"
    pattern = "[N]12d"
    tno = -1


    keys = [1, 2]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
       
        let mval = `${obj.s1}`
        if (obj.s2)
            mval = obj.s2 + mval
        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}


        return (<Row>
            <Col style={{ "minWidth": '100px' }} span={3}>
                <FormItem
                    label="Sign"
                    help={errmsg.s2}
                    validateStatus={errmsg.s2 ? 'error' : null}
                >
                    <Select allowClear={true} value={value.s2} placeholder="Sign" style={{ width: "100%" }} onChange={val => this.onChange(2, val)}>
                        <Option value={'N'}>{"N"}</Option>
                    </Select>
                </FormItem>
            </Col>
         
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Rate"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Input value={value.s1} onChange={e => this.onChange(1, e.target.value)} maxLength={12} style={{ imeMode: 'disabled' }} placeholder="Rate" />
                </FormItem>
            </Col>

        </Row>)
    }
}